Traits
Returns the trait identified by the given ID.
The ID of the trait
Trait found
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.The public id of the trait.
"AiTrainingInput_C"The discriminator of this resource, indicating its type.
TraitTrait not found
GET /rest/2.0/traits/{traitId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"publicId": "\"AiTrainingInput_C\"",
"symbolData": {
"color": "text",
"symbolType": "NONE",
"iconCode": "text",
"acronymCode": "text"
},
"resourceDiscriminator": "Trait"
}Changes the trait using the given parameters. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The ID of the trait
The id of the Trait to be changed. Silently ignored if the id is provided as path parameter of the request.
The new name for the Trait.
The new description for the Trait.
Trait changed
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.The public id of the trait.
"AiTrainingInput_C"The discriminator of this resource, indicating its type.
TraitA trait with the given name already exists
Forbidden - Insufficient permissions to perform the requested operation.
Trait not found
PATCH /rest/2.0/traits/{traitId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"publicId": "\"AiTrainingInput_C\"",
"symbolData": {
"color": "text",
"symbolType": "NONE",
"iconCode": "text",
"acronymCode": "text"
},
"resourceDiscriminator": "Trait"
}Returns traits matching the given search criteria. Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored. By default a result containing 1000 traits is returned.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The name of the Trait to search for.
The match mode used to compare name. If the match mode is EXACT the search is case-sensitive, otherwise the search is case-insensitive.
ANYWHEREPossible values: Search ran successfully
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/traits HTTP/1.1
Authorization: Basic username:password
Accept: */*
Search ran successfully
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"publicId": "\"AiTrainingInput_C\"",
"symbolData": {
"color": "text",
"symbolType": "NONE",
"iconCode": "text",
"acronymCode": "text"
},
"resourceDiscriminator": "Trait"
}
]
}Returns the trait identified by the given public id.
The public identifier of the trait
Trait found
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.The public id of the trait.
"AiTrainingInput_C"The discriminator of this resource, indicating its type.
TraitTrait not found
GET /rest/2.0/traits/publicId/{publicId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"publicId": "\"AiTrainingInput_C\"",
"symbolData": {
"color": "text",
"symbolType": "NONE",
"iconCode": "text",
"acronymCode": "text"
},
"resourceDiscriminator": "Trait"
}Last updated
Was this helpful?